Package wx :: Package py :: Module crust :: Class Crust

[frames | no frames]

## Type Crust

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            SplitterWindow --+
                             |
                            Crust

Crust based on SplitterWindow.

Method Summary
| ``__init__`(self, parent, id, pos, size, style, name, rootObject, rootLabel, rootIsNamespace, intro, locals, InterpClass, startupScript, execStartupScript, *args, **kwds)` Create Crust instance.
| `LoadSettings(self, config)`
| ``OnChanged`(self, event)` update sash offset from the bottom of the window
| `OnSashDClick(self, event)`
| `SaveSettings(self, config)`
| `SplitterOnSize(self, event)`
| ``ToggleTools`(self)` Toggle the display of the filling and other tools
| `ToolsShown(self)`

Property Summary

Class Variable Summary
`str` | `name` = `'Crust'`
`str` | `revision` = `'1.16'`
`int` | `sashoffset` = 300

Instance Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=896, name='Crust Window', rootObject=None, rootLabel=None, rootIsNamespace=True, intro='', locals=None, InterpClass=None, startupScript=None, execStartupScript=True, *args, **kwds)
(Constructor)

Create Crust instance.

  Overrides:
    `wx.SplitterWindow.__init__`

### OnChanged(self, event)

update sash offset from the bottom of the window

### ToggleTools(self)

Toggle the display of the filling and other tools

Class Variable Details

### name

  Type:
    `str`
  Value:

        'Crust'

### revision

  Type:
    `str`
  Value:

        '1.16'

### sashoffset

  Type:
    `int`
  Value:

        300

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:50 2007 | http://epydoc.sf.net